
Content Model Documentation's intent is to surface the content model
architecture of a Drupal site and allow additional documentation of fields, and
entities that use them.

## Relevant Paths

* [Help README.md](/admin/help/content_model_documentation)
* [Permissions](/admin/people/permissions/module/content_model_documentation)
* [Content Model Entity Relationship Diagram](/admin/reports/content-model/entity-diagram)
* [Content Model Fields](/admin/reports/content-model/fields)
* [Content Model Documentation Settings](/admin/config/system/content_model_documentation)
* [Content Model Documents](/admin/structure/cm_document)

## Features

  * [Content Model Entity Relationship Diagram](/admin/reports/content-model/entity-diagram) -
  A diagram that shows references from one entity to another.
  * [Content Model Fields View](/admin/reports/content-model/fields) -
  A list of all fields used in the Drupal instance.  Displaying labels,
  description, entity types, bundles, and other information.  This View, once
  the module is installed, can be edited with Views UI to make add or remove
  columns or filters.
  * [Content Model Documentation Settings](/admin/config/system/content_model_documentation) -
  The settings to control which entity types are documentable.  Fields can be
  added to Content Model Documents as well.
  * [Content Model Documents list](/admin/structure/cm_document) -
  The list of Content Model Documents.  The list is a View that can be modified.


## Dependencies

  * Config Views (config_views) is necessary to be able to create the Views of
  configuration entities.  Caution: Config Views enables some of its own Views
  by default that replace some Drupal core list pages.
  * Mermaid JS is required and the minified js file is referenced from a CDN.
