/**
* @file
* Support mermaid rendering.
*/

(function (Drupal, mermaid) {

  'use strict';

  Drupal.behaviors.diagramDisplay = {
    attach: function (context) {
      // Display mermaid containers after they're rendered.
      mermaid.initialize(
        {
          startOnLoad: true,
          mermaid: {
            callback: (function() {
              return function(id) {
                const mermaids = context.getElementsByClassName('mermaid');
                for (let index = 0; index < mermaids.length; index++) {
                  mermaids[index].style.opacity = '100%';
                }
              }
            })()
          }
        });
      }
    };

  })(Drupal, mermaid);
